
QGIS Application - Bug report #5508

DBF encoding and cyrillic values

2012-04-26 05:45 PM - Igor Glushkov

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 15114

Description

I have a problems with cyrillic symbols after upgrade QGIS (by OSGeo4W)

First, no longer work correctly setting of the encoding in the file opening dialog(with no error or warnings message, layer opened only in

UTF-8)

Second, when create a new shapefile (in windows-1251 encoding -see appl.)cyrillic symbols just do not display correctly too.

Creating of .cpg file working correctly only for UTF-8.

Related issues:

Related to QGIS Application - Bug report # 5900: QGIS 1.8.0 windows standalon... Rejected 2012-06-29

Related to QGIS Application - Bug report # 5911: Language Driver ID in dbf fi... Closed 2012-06-30

History

#1 - 2012-04-27 02:15 AM - Giovanni Manghi

- Status changed from Open to Feedback

does now seems a QGIS problem but a gdal/ogr 1.9 one, see here

http://ssrebelious.wordpress.com/2012/03/11/qgis-and-gdal1-9-encoding-issue-a-workaround/

#2 - 2012-04-27 03:45 AM - Alexander Bruy

- Resolution set to duplicate

- Status changed from Feedback to Closed

Duplicate #5255

#3 - 2012-04-27 03:46 AM - Alexander Bruy

- Category changed from Vectors to Data Provider

- OS version deleted (7)

- Operating System changed from Windows to all

#4 - 2012-04-27 04:38 AM - Igor Glushkov

Thanks, Giovanni

I knew about this issues, but problem stay unsolved because: 1) .cpg not working correctly under Windows with "windows-1251" 2) OSGeo4W does't allow

downgrade to GDAL1.8 
http://ssrebelious.wordpress.com/2012/03/11/qgis-and-gdal1-9-encoding-issue-a-workaround/


May be you know some way   to downgrade GDAl for Windows user without compiling?

I 'm use OpenOffic.Calc for correctly encode .dbf (open/save with "windows-1251")

Files

windows1251.7z 74.3 KB 2012-04-26 Igor Glushkov
